Commit 4b872398 authored by AlmAck's avatar AlmAck
Browse files

Steam update to 1.0.0.28

depends and optdepends fixed
added more informations on post_install/post_upgrade
parent fa08c78c
......@@ -5,7 +5,7 @@
# contributor (ccr): blablub <spamalicious.steve@gmail.com>
pkgname=steam
pkgver=1.0.0.27
pkgver=1.0.0.28
pkgrel=1
pkgdesc="Installer for the Steam software distribution service"
arch=('x86_64')
......@@ -15,19 +15,19 @@ depends=('bash' 'desktop-file-utils' 'hicolor-icon-theme' 'curl'
'dbus' 'freetype2' 'gdk-pixbuf2' 'ttf-liberation'
'lib32-sdl' 'lib32-libvorbis' 'lib32-alsa-lib'
'lib32-libgcrypt' 'lib32-nss' 'lib32-openal'
'lib32-libgl' 'lib32-gcc-libs' 'lib32-libx11')
'lib32-gcc-libs' 'lib32-libx11')
optdepends=(
'lib32-ati-dri: for open source ATI driver users'
'lib32-mesa: for open source ATI/Intel/Nouveau users'
'lib32-catalyst-utils: for AMD Catalyst users'
'lib32-intel-dri: for open source Intel driver users'
'lib32-nouveau-dri: for Nouveau users'
'lib32-catalyst-legacy-utils: for AMD Catalyst Legacy users'
'lib32-nvidia-utils-bumblebee: for NVIDIA + Bumblebee users'
'lib32-nvidia-utils: for NVIDIA proprietary blob users')
'lib32-nvidia-utils: for NVIDIA proprietary blob users'
'lib32-nvidia-304xx-utils: for NVIDIA 304xx series proprietary users')
install=steam.install
source=("http://repo.steampowered.com/$pkgname/pool/$pkgname/s/$pkgname/${pkgname}_$pkgver.tar.gz")
md5sums=('b7ff967f7848cfa625ff51150fc67e1d')
md5sums=('5d7b7e12dd0d513d3f7191872fa596cd')
package() {
......
#!/bin/bash
# tputcolors
post_install() {
echo "Start Steam to complete installation of Steam for the current user."
post_upgrade
}
post_upgrade() {
echo
echo 'By using this package you accept the Steam license,'
echo 'which has been installed in /usr/share/licenses/steam/LICENSE'
echo 'If you do not accept this license, you must remove the package immediately.'
echo
echo 'Beware that some games need extra libraries, for more info please look our wiki page:'
echo 'http://chakra-project.org/wiki/index.php?title=Steam'
echo
}
\ No newline at end of file
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment